// -------------------------------------------------------------------------------------
// ExpandImage.h
// -------------------------------------------------------------------------------------

extern "Objective-C" {
#import <objc/objc.h>
}

// -------------------------------------------------------------------------------------
@interface ExpandImage : Object
{

	id			window;
	NXSize		minWindowSize;
	NXSize		minContentSize;
	
	id			imageView;
	id			imageScroller;
	
	id			imagePopup;
	id			imageMenu;
	id			useAlphaSw;
	
	id			controlBox;
	float		controlHeight;
  
}

// -------------------------------------------------------------------------------------
- clearImage;
- showImage:theImage:(const char*)fileName title:(const char*)title;
- setImageRep:(int)repNum;
- orderOut:sender;

@end
