// -------------------------------------------------------------------------------------
// ExpandedView.h
// -------------------------------------------------------------------------------------

extern "Objective-C" {
#import <appkit/View.h>
}

// -------------------------------------------------------------------------------------
@interface ExpandedView : View
{

	id			imageId;			// image id
	const char	*imageFile;			// image file name
	int			imageRep;			// which rep to display
	int			bestRep;			// index of best representation

	BOOL		drawWithAlpha;		// draw image with alpha (composite)
	float		backgroundGray;		// background gray
  
}

// -------------------------------------------------------------------------------------
- setImage:image :(const char*)fileName;
- image;
- (BOOL)imageRepHasAlpha:(int)repNum;
- (int)bestRepIndex;
- setImageRep:(int)repNum withAlpha:(BOOL)useAlpha;

@end
